#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

DEB_HOST_ARCH           ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),amd64)
	vegadir=amd64
else
	vegadir=i386
endif

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/vega/usr/share/vega/ $(CURDIR)/debian/vega/usr/bin/
	cp -a $(vegadir)/* $(CURDIR)/debian/vega/usr/share/vega/
	install debian/helper-script/* $(CURDIR)/debian/vega/usr/bin/
